Skip to main content
Resource Center/Network Resource/L2 Network Operations
POSTL2 Network OperationsSince 0.6SynchronousAuth Required

CreateL2NoVlanNetwork

CreateL2NoVlanNetwork

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The common L2 network name.

    • descriptionString

      Optional. The detailed description of the common L2 network.

    • zoneUuidStringRequired

      The zone UUID.

    • physicalInterfaceStringRequired

      The physical interface.

    • typeString

      The L2 network type.

    • vSwitchTypeString

      Optional. The vSwitch type.

    • resourceUuidString

      Optional. The resource UUID. If specified, the L2 network will use the specified value as UUID.

    • tagUuidsList

      Optional. The Uuid tags list.

    • isolatedBoolean

      Optional.

    • pvlanString

      Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryL2VxlanNetworkPoolInventoryRequired

    See inventoryinventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • physicalInterfaceStringRequired

      The physical interface.

    • typeStringRequired

      The type of L2 network.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      The attached cluster UUID.

Endpoint

POST/zstack/v1/l2-networks/no-vlan

/zstack/v1/l2-networks/no-vlan

Operation ID

CreateL2NoVlanNetwork

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/l2-networks/no-vlan' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","zoneUuid":"<zoneUuid>","physicalInterface":"<physicalInterface>","type":"<type>","vSwitchType":"<vSwitchType>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"isolated":true,"pvlan":"<pvlan>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{
  "success": true,
  "error": null,
  "inventory": {
    "uuid": "<uuid>",
    "name": "<name>",
    "description": "<description>",
    "zoneUuid": "<zoneUuid>",
    "physicalInterface": "<physicalInterface>",
    "type": "<type>",
    "createDate": "<createDate>",
    "lastOpDate": "<lastOpDate>",
    "attachedClusterUuids": [
      "<attachedClusterUuids>"
    ]
  }
}

Change History

This API has no change history records yet.

View all change history